# $Revision: 1.26 $, $Date: 2008/08/15 15:40:39 $
Summary:	Libraries to move files to a trash on delete
Summary(pl.UTF-8):	Biblioteka do automatycznego przenoszenia usuwanych plików do kosza
Name:		libtrash
Version:	3.2
Release:	4
License:	GPL
Group:		Libraries
Source0:	http://pages.stern.nyu.edu/~marriaga/software/libtrash/%{name}-%{version}.tgz
# Source0-md5:	56f7b54f50d760e4719f73b98cd8b43a
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-py24.patch
Patch2:		%{name}-noproc.patch
URL:		http://pages.stern.nyu.edu/~marriaga/software/libtrash/
BuildRequires:	/sbin/ldconfig
BuildRequires:	perl-base
BuildRequires:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If configured to be preloaded by the dynamic linker, libtrash will
cause applications to transparently move files to a trash directory
instead of actually removing them. After the fake "remove", the files
are available in a directory structure similar as the old one.

%description -l pl.UTF-8
Po skonfigurowaniu tak, by była ładowana przez dynamiczny linker,
biblioteka libtrash powoduje, że aplikacje zamiast kasować przenoszą
pliki do specjalnego katalogu (kosza). Po tym "usunięciu" pliki są
dostępne w strukturze katalogów podobnej do tej sprzed usunięcia.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -D_REENTRANT"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}}

%{__make} install \
	INSTLIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	SYSCONFFILE=$RPM_BUILD_ROOT%{_sysconfdir}/libtrash.conf

# no devel package
/sbin/ldconfig -N -n $RPM_BUILD_ROOT%{_libdir}
rm -f $RPM_BUILD_ROOT%{_libdir}/libtrash.so

%clean
rm -rf $RPM_BUILD_ROOT

%post    -p /sbin/ldconfig
%postun  -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGE.LOG README config.txt TODO
%attr(755,root,root) %{_libdir}/libtrash.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libtrash.so.3
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libtrash.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtrash.spec,v $
Revision 1.26  2008/08/15 15:40:39  glen
- release 4

Revision 1.25  2008/08/15 15:33:48  glen
- disable /proc check on builders

Revision 1.24  2008/08/15 15:23:29  glen
- ldconfig is not in $PATH; rel 3

Revision 1.23  2008/08/15 11:59:14  glen
- release 2

Revision 1.22  2008/08/15 11:58:47  glen
- update to 3.2, fixes segfault on ac-amd64

Revision 1.21  2008/08/15 11:49:09  glen
- package ghost soname symlink

Revision 1.20  2008/08/15 11:46:48  glen
- up to 3.2, however build fails on py24 as invalid syntax used

Revision 1.19  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.17  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.16  2006/02/28 08:45:50  glen
- versioned url, quote cc

Revision 1.15  2006/02/28 06:44:01  piti
- up to 2.4. URL and Source0 update

Revision 1.14  2005/07/21 17:38:41  darekr
- added TODO to %doc

Revision 1.13  2004/11/08 20:53:55  paszczus
- updated to 2.3
- updated URL
- Source0 is now %{name}-latest, because %{version} doesn`t exist...

Revision 1.12  2004/03/31 20:34:45  qboosh
- updated to 2.2, builds now

Revision 1.11  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:50:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/09/07 18:49:25  kloczek
- (auto)updated to 1.3: minor cleanups.

Revision 1.8  2002/06/08 10:45:00  klark
- update to 1.2
- STBR

Revision 1.7  2002/06/05 04:28:49  kloczek
- adapterized.

Revision 1.6  2002/06/02 16:15:38  kloczek
- use CC=%{__cc} and CFLAGS="%{rpmcflags} -D_REENTRANT" during compile.

Revision 1.5  2002/06/02 10:06:31  klark
- update to 1.1
- new %doc
- STBR

Revision 1.4  2002/04/03 06:37:54  pioklo
- typo in %files section

Revision 1.3  2002/04/02 14:28:40  qboosh
- fixed Group and broken pl description, added Source0 URL, marked config

Revision 1.2  2002/04/01 12:33:04  pioklo
- need correct in description(pl) :)

Revision 1.1  2002/04/01 12:10:52  pioklo
- new pld spec
- need test and cosmetics
- stbr
